@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

* {
    font-family: "Work Sans", sans-serif;
    /*font-family: "Nunito", sans-serif;*/
    /*font-family: "Figtree", sans-serif;*/
    /*font-optical-sizing: auto;*/
    /*font-weight: <weight>;*/
    /*font-style: normal;*/
}

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}


.dropdown-item:active {
    background-color: #e9ecef;
}

.divider {
    height: 1px;
    background-color: #e0e0e0;
    margin: 20px 0;
    border: none;
}


/* Estilo para que los toasts no se superpongan en la esquina inferior derecha */
.toast-bottom-right {
    bottom: 0;
    right: 0;
    margin: 15px;
}



.select2-container--default .select2-selection--single,
#selectProveedores {
    height: 2.5rem;
}
#selectProveedores {
    width: 100%;
}

.select2-selection__rendered,
#selectProveedores {
    font-size: 1rem;
    padding-top: 5px;
}


.select2-selection__arrow,
#selectProveedores {
    height: 2.5rem;

}



#dataTable th {
    font-weight: normal;
    /*border-bottom: 1px solid transparent;*/ /* Cambia a 'transparent' si deseas ocultar el borde */
    border-bottom: 1px solid #dbdbdb;
}
table.dataTable thead th {
    border-bottom: 1px solid transparent; /* Cambia a 'transparent' si deseas ocultar el borde */
}
table thead th {
    border-bottom: 1px solid transparent; /* Cambia a 'transparent' si deseas ocultar el borde */
}

.table > :not(:last-child) > :last-child > * {
    border-bottom: 1px solid #dbdbdb;
}



/* Cambiar el color de las flechas de ordenamiento en su estado inicial */
.dt-column-order:after {
    color: gray; /* Cambia "gray" al color que desees para el estado inicial */
}

/* Cambiar el color cuando el ordenamiento está activo (ascendente o descendente) */
.dt-orderable-asc .dt-column-order:after,
.dt-orderable-desc .dt-column-order:after {
    color: blue; /* Cambia "blue" al color que desees cuando se active el orden */
}

/* Cambiar el color cuando se pasa el mouse por encima */
.dt-orderable-asc:hover .dt-column-order:after,
.dt-orderable-desc:hover .dt-column-order:after {
    color: blue; /* Cambia "orange" al color que desees para el hover */
}



html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}
body {
    width: 100vw; /* Ocupar todo el ancho de la ventana */
    min-height: 100vh; /* Ocupar todo el alto de la ventana */
    overflow-x: hidden; /* Evitar scroll horizontal */
}








.custom-fade-in {
    --animate-duration: 1.5s; /* Duración de la animación */
    animation-duration: 1.5s; /* Duración de la animación */
}

.animate__fadeInUp {
    /* Ajustar el movimiento para que sea menos brusco */
    animation-name: fadeInUpCustom;
}

@keyframes fadeInUpCustom {
    from {
        opacity: 0;
        transform: translate3d(0, 20px, 0); /* Mueve solo 20px hacia arriba */
    }

    to {
        opacity: 1;
        transform: none;
    }
}
